#
# spec file for package perl-Class-WhiteHole (Version 0.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Class-WhiteHole
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Summary:      Base class to treat unhandled method calls as errors
Version:      0.03
Release:      29
Source:       Class-WhiteHole-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
Its possible to accidentally inherit an AUTOLOAD method. Often this
will happen if a class somewhere in the chain uses AutoLoader or
defines one of their own. This can lead to confusing error messages
when method lookups fail.
Sometimes you want to avoid this accidental inheritance.  In that
case, inherit from Class::WhiteHole. All unhandled methods will
produce normal Perl error messages.

Authors:
--------
    Michael G Schwern <schwern@pobox.com>

SuSE series: perl

%prep
%setup -n Class-WhiteHole-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Class-WhiteHole
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Class/WhiteHole
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc Changes
%{perl_sitearch}/../Class/WhiteHole.pm
%{perl_sitearch}/auto/Class/WhiteHole
/var/adm/perl-modules/perl-Class-WhiteHole

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Class-WhiteHole
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 0.03)
